#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:           latte-dock
Version:        0.9.11
Release:        %mkrel 2
Summary:        Latte is a dock based on plasma frameworks
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://store.kde.org/p/1169519/
Source0:        https://download.kde.org/stable/latte-dock/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5PlasmaQuick)
BuildRequires:  cmake(KF5SysGuard)
BuildRequires:  cmake(KF5Wayland)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(sm)

%description
Latte is a dock based on plasma frameworks that provides an elegant and
intuitive experience for your tasks and plasmoids. It animates its contents by
using parabolic zoom effect and tries to be there only when it is needed.

"Art in Coffee"

%files -f %{name}.lang
%doc README.md CHANGELOG.md
%license COPYING*
%{_kf5_sysconfdir}/xdg/latte-indicators.knsrc
%{_kf5_sysconfdir}/xdg/latte-layouts.knsrc
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.latte-dock.appdata.xml
%{_kf5_metainfodir}/org.kde.latte.plasmoid.appdata.xml
%{_kf5_metainfodir}/org.kde.latte.shell.appdata.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.LatteDock.xml
%{_kf5_iconsdir}/breeze/*/*/*
%{_kf5_iconsdir}/hicolor/*/*/*
%{_kf5_knotificationsdir}/lattedock.notifyrc
%{_kf5_services}/plasma-applet-org.kde.latte.containment.desktop
%{_kf5_services}/plasma-applet-org.kde.latte.plasmoid.desktop
%{_kf5_services}/plasma-containmentactions-lattecontextmenu.desktop
%{_kf5_services}/plasma-shell-org.kde.latte.shell.desktop
%{_kf5_servicetypes}/latte-indicator.desktop
%{_kf5_datadir}/latte/
%{_kf5_datadir}/plasma/plasmoids/org.kde.latte.containment/
%{_kf5_datadir}/plasma/plasmoids/org.kde.latte.plasmoid/
%{_kf5_datadir}/plasma/shells/org.kde.latte.shell/
%{_kf5_qmldir}/org/kde/latte/
%{_qt5_plugindir}/plasma_containmentactions_lattecontextmenu.so
%{_qt5_plugindir}/kpackage/packagestructure/latte_packagestructure_indicator.so

%prep
%setup -q

%build
%cmake_kf5 -Wno-dev
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

find %{buildroot} -size 0 -delete

# fix desktop file
desktop-file-install \
        --remove-category="X-SuSE-DesktopUtility" \
        --add-category="X-Mageia-CrossDesktop" \
        --dir %{buildroot}%{_kf5_applicationsdir} \
%{buildroot}%{_kf5_applicationsdir}/org.kde.%{name}.desktop



%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.9.11-2.mga8
+ Revision: 1658865
- Rebuild for new Qt5

* Sun Apr 12 2020 daviddavid <daviddavid> 0.9.11-1.mga8
+ Revision: 1566593
- new version: 0.9.11

* Fri Mar 27 2020 daviddavid <daviddavid> 0.9.10-1.mga8
+ Revision: 1560916
- new version: 0.9.10

* Sat Feb 29 2020 daviddavid <daviddavid> 0.9.9-1.mga8
+ Revision: 1552196
- new version: 0.9.9

* Thu Feb 20 2020 umeabot <umeabot> 0.9.8.1-2.mga8
+ Revision: 1546210
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 daviddavid <daviddavid> 0.9.8.1-1.mga8
+ Revision: 1486172
- new version: 0.9.8.1

* Sun Jan 26 2020 daviddavid <daviddavid> 0.9.8-1.mga8
+ Revision: 1483223
- new version: 0.9.8

* Sun Jan 05 2020 daviddavid <daviddavid> 0.9.7-1.mga8
+ Revision: 1476753
- new version: 0.9.7

* Wed Jan 01 2020 daviddavid <daviddavid> 0.9.6-1.mga8
+ Revision: 1475196
- new version: 0.9.6
+ wally <wally>
- build with new cmake macros

* Sat Dec 07 2019 daviddavid <daviddavid> 0.9.5-1.mga8
+ Revision: 1465032
- new version: 0.9.5

* Sun Oct 27 2019 daviddavid <daviddavid> 0.9.4-1.mga8
+ Revision: 1456081
- new version: 0.9.4

* Mon Sep 30 2019 daviddavid <daviddavid> 0.9.3-1.mga8
+ Revision: 1448134
- new version: 0.9.3

* Sat Sep 07 2019 daviddavid <daviddavid> 0.9.2-1.mga8
+ Revision: 1438066
- new version: 0.9.2

* Mon Aug 19 2019 daviddavid <daviddavid> 0.9.1-1.mga8
+ Revision: 1429925
- new version: 0.9.1

* Mon Jul 29 2019 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1424886
- new version: 0.9.0

* Mon Jul 01 2019 daviddavid <daviddavid> 0.8.9-1.mga8
+ Revision: 1417414
- new version: 0.8.9

* Tue Apr 16 2019 daviddavid <daviddavid> 0.8.8-1.mga7
+ Revision: 1391548
- new version: 0.8.8

* Sun Mar 31 2019 umeabot <umeabot> 0.8.7-2.mga7
+ Revision: 1383034
- Qt5 Rebuild

* Fri Mar 01 2019 daviddavid <daviddavid> 0.8.7-1.mga7
+ Revision: 1370891
- new version: 0.8.7

* Sun Feb 17 2019 daviddavid <daviddavid> 0.8.6-1.mga7
+ Revision: 1368049
- new version: 0.8.6

* Sat Jan 26 2019 daviddavid <daviddavid> 0.8.5-1.mga7
+ Revision: 1361111
- new version: 0.8.5

* Sat Dec 29 2018 daviddavid <daviddavid> 0.8.4-1.mga7
+ Revision: 1346328
- new version: 0.8.4

* Sat Nov 24 2018 daviddavid <daviddavid> 0.8.3-1.mga7
+ Revision: 1333882
- new version: 0.8.3

* Sat Oct 27 2018 daviddavid <daviddavid> 0.8.2-1.mga7
+ Revision: 1326234
- new version: 0.8.2

* Sun Sep 16 2018 daviddavid <daviddavid> 0.8.1-1.mga7
+ Revision: 1259225
- initial package latte-dock

